Boomi API Control Plane REST API - APIGateways
Download OpenAPI Specification: Download
For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.
Get API Gateway
Get a single API gateway by its id.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response Schema: application/json
| name required | string Human-readable name of the API gateway. |
| platformType required | string Gateway platform type. |
| gatewayId | string System-assigned ID (read-only). |
| agentType | string Enum: "STANDALONE" "MANAGED" STANDALONE or MANAGED (read-only). |
| environmentType | string Enum: "SINGLE" "MULTI" SINGLE or MULTI environment (read-only). |
| id | string <uuid> System-assigned UUID (read-only). |
object (AgentDTO) Associated agent (read-only). | |
| agentToken | string Only returned at registration (read-only). |
Response samples
- 200
- default
{- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}Update API Gateway
Update an API gateway's name. Managed gateways cannot have their name changed.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Request Body schema: application/jsonrequired
| name required | string Human-readable name of the API gateway. |
| platformType required | string Gateway platform type. |
Responses
Response Schema: application/json
| name required | string Human-readable name of the API gateway. |
| platformType required | string Gateway platform type. |
| gatewayId | string System-assigned ID (read-only). |
| agentType | string Enum: "STANDALONE" "MANAGED" STANDALONE or MANAGED (read-only). |
| environmentType | string Enum: "SINGLE" "MULTI" SINGLE or MULTI environment (read-only). |
| id | string <uuid> System-assigned UUID (read-only). |
object (AgentDTO) Associated agent (read-only). | |
| agentToken | string Only returned at registration (read-only). |
Request samples
- Payload
{- "platformType": "string",
- "name": "string",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}
}Response samples
- 200
- default
{- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}Delete API Gateway
Delete an API gateway. Managed gateways cannot be deleted. Multi-environment gateways cannot be deleted while they still contain environments.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
Responses
Response samples
- default
{- "timestamp": "string",
- "status": 0,
- "error": "string",
- "message": "string",
- "path": "string"
}List API Gateways
Get a paginated list of API gateways. Supports optional filtering by free-text search, name, platform type, agent type, and environment type.
Authorizations:
query Parameters
| text | string |
| name | string |
| platformType | string |
| agentType | string Enum: "STANDALONE" "MANAGED" |
| environmentType | string Enum: "SINGLE" "MULTI" |
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (ApiGatewayDTO) List of ApiGatewayDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}Create API Gateway
Create a new multi-environment API gateway. Returns the created gateway including a one-time agent token to be used when connecting the agent.
Authorizations:
Request Body schema: application/jsonrequired
| name required | string Human-readable name of the API gateway. |
| platformType required | string Gateway platform type. |
Responses
Response Schema: application/json
| name required | string Human-readable name of the API gateway. |
| platformType required | string Gateway platform type. |
| gatewayId | string System-assigned ID (read-only). |
| agentType | string Enum: "STANDALONE" "MANAGED" STANDALONE or MANAGED (read-only). |
| environmentType | string Enum: "SINGLE" "MULTI" SINGLE or MULTI environment (read-only). |
| id | string <uuid> System-assigned UUID (read-only). |
object (AgentDTO) Associated agent (read-only). | |
| agentToken | string Only returned at registration (read-only). |
Request samples
- Payload
{- "platformType": "string",
- "name": "string",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}
}Response samples
- 200
- default
{- "platformType": "string",
- "name": "string",
- "gatewayId": "string",
- "agentType": "STANDALONE",
- "environmentType": "SINGLE",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "agent": {
- "status": "NOT_CONNECTED",
- "gateway": {
- "status": "UNKNOWN",
- "errors": [
- "string"
]
}, - "remoteIp": "string",
- "lastSeen": "2019-08-24T14:15:22Z",
- "capabilities": [
- {
- "capability": "string",
- "version": "string"
}
], - "buildInfo": {
- "version": "string",
- "commit": "string",
- "buildTime": "2019-08-24T14:15:22Z"
}
}, - "agentToken": "string"
}List application deployments in API Gateway
Get all application deployments in an API gateway.
Authorizations:
path Parameters
| id required | string <uuid> This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id. |
query Parameters
| page | integer Default: 1 One-based page index (1..N) |
| size | integer Default: 10 The size of the page to be returned |
| sort | Array of arrays Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported. |
Responses
Response Schema: application/json
required | Array of objects (ApplicationDeploymentDTO) List of ApplicationDeploymentDTO results for the current page. |
| last required | boolean Whether this is the last page. |
| number required | integer <int32> Current page number (1-based). |
| size required | integer <int32> Requested page size. |
| totalElements required | integer <int64> Total number of matching results across all pages. |
| totalPages required | integer <int32> Total number of pages. |
Response samples
- 200
- default
{- "content": [
- {
- "apiGateway": 1,
- "environment": 1,
- "application": 1,
- "gatewayId": "aa2867cf-a395-47e0-84b2-8fa157906677",
- "lastSuccessfulTask": "DEPLOY",
- "lastFailedTask": "DEPLOY",
- "failureMessage": "what went wrong...",
- "id": 1
}
], - "size": 0,
- "number": 0,
- "last": true,
- "totalPages": 0,
- "totalElements": 0
}